body { font-family: "Poppins"; background-color: #1a1a1a; color: #ffffff; }
.container { max-width: 1000px; margin: auto; }

/* ///////////////////////// */
.sidebar {
    position: fixed;
    left: 0;
    top: 0;
    width: 260px;
    height: 100vh;
    background: #001220;
    /* background: linear-gradient(135deg, #1f1f1f, #333); */
    color: #fff;
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 15px;
    overflow: auto;
    }
    .sidebar h3 {
    font-size: 1.4em;
    font-weight: bold;
    margin-bottom: 0.5rem;
    color: #fff;
    /* background: linear-gradient(135deg, #FE0360, #2AA9DC); */
    /* -webkit-background-clip: text; */
    /* color: transparent; */
    }
    .sidebar ul {
    list-style: none;
    margin-left: 0;
    padding-left: 0;
    }
    .sidebar ul li {
        margin: 10px 0;
        /* Ellipsis for overflowing text */
        display: -webkit-box;
        -webkit-line-clamp: 1; /* Limit to 2 lines */
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        font-family: "Poppins";
    }
    .sidebar ul li a{
    color: #bbb;
    text-decoration: none;
    font-size: 1em;
    display: block;
    padding: 8px 10px;
    border-radius: 8px;
    transition: background 0.3s, color 0.3s;
    }
    .sidebar ul li a:hover {
        /* background: #003340; */
    /* background-color: #; */
    /* background: #2a5d8c; */
    /* background: #4b9a6e; */
    /* background: #a4a6a8; */
    /* background: #7a3ab2; */
    /* background: #2a5d8c; */
    /* background: #FE0360; */
    /* background: linear-gradient(135deg, #FE0360, #2AA9DC); */
    background-color: rgba(0, 50, 64, 0.5);  /* Semi-transparent background for glassmorphism */
    backdrop-filter: blur(8px);  /* Apply blur to background */
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);  /* Subtle shadow for depth */
    color: #fff;
    }
    .sidebar::-webkit-scrollbar{
    width: 5px;
    }
    .sidebar::-webkit-scrollbar-thumb{
        background: #555;
    /* background: linear-gradient(135deg, #FE0360, #2AA9DC); */
    }
    /* .sidebar::-webkit-scrollbar-thumb:hover { */
    /* background: linear-gradient(135deg, #2AA9DC, #FE0360); */
    /* } */
    .bottom-tools-menu::-webkit-scrollbar {
        width: 10px;
        }
    .bottom-tools-menu::-webkit-scrollbar-thumb {
            background: #555;
            border-radius: 10px;
        /* background: linear-gradient(135deg, #FE0360, #2AA9DC); */
        }
    
    .logo-class{
        width: 100%;
        height: 45px;
        margin-top: 20px;
    }
.h5-colors{
    color: #ddd;
    font-family: "Poppins";
    font-weight: 600;
    background: linear-gradient(135deg, #FE0360, #2AA9DC);
    -webkit-background-clip: text; /* Ensures the gradient is clipped to the text */
    color: transparent; /* Make the text color transparent so the gradient shows */
    padding-left: 5%;
    /* border-bottom: 1px solid #aaa; */
}

#open-menu-button3{
    cursor: pointer;
    color: #aaa;
  }
  #open-menu-button3:hover{
color: #fff;
  }










  .main-content {
    margin-left: 260px;
    padding: 20px;
    width: calc(100% - 260px);
    /* background-color: red; */
    }
    .explore-h1 {
    font-size: 3em;
    font-weight: bold;    
    text-align: center;
    text-transform: capitalize;
    /* font-weight: normal; */
    margin-top: 80px;
    color: #fff;
    }
    .explore-txt {
    text-align: center;
    margin-top: 10px;
    color: #fff;
    }
    


.explore-h11 {
text-align: center;
text-transform: capitalize;
font-weight: 500;
font-family: "Poppins";
font-weight: normal;
}
.explore-txt11 {
text-align: center;
margin-top: 10px;
font-family: "Poppins";
}

.explore-h111 {
text-align: center;
text-transform: capitalize;
font-weight: 500;
font-family: "Poppins";
margin-top: 80px !important;
}
.explore-txt111 {
text-align: center;
margin-top: 10px;
font-family: "Poppins";
}

    .small-icon {
        width: 20px;
        height: 20px;
        /* filter: grayscale(100%) brightness(1);   */
        /* Make logo grayscale and darkened */
        /* transition: filter 0.3s ease;   */
        /* Smooth transition */
    }
    
    /* .sidebar ul li a:hover .small-icon { */
        /* filter: grayscale(0%) brightness(1);  Restore the original color on hover */
    /* } */
    

    .gallery {
        padding: 20px;
        display: grid;
        grid-template-columns: repeat(5, 1fr);
        gap: 20px;
        margin-top: 20px;
        }
        .gallery-item2 {
        position: relative;
        overflow: hidden;
        border-radius: 5px;
        box-shadow: 0 6px 15px rgba(0, 0, 0, 0.4);
        transition: transform 0.3s ease;
        background-color: #2e2e2e;
        border: 1px solid #444;
        }
        .gallery-item2 img {
        width: 100%;
        height: auto;
        display: block;
        border-radius: 5px;
        }
        .gallery-item2:hover {
        transform: scale(1.05);
        }
        .icon-eye, .bonus-tag, .icon-download, .icon-buy {
        width:auto;
        position: absolute;
        font-size: 1.2rem;
        padding: 5px 10px;
        color: #fff;
        border-radius: 15px;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: transform 0.3s;
        }
        .bonus-tag {
        top: 10px;
        left: 10px;
        font-size: 0.9rem;
        cursor: pointer;
        background: rgba(36, 36, 36, 0.7);
        padding-left: 6%;
        padding-right: 6%;
        border-radius: 30px;
        font-family: "Poppins";
        font-size: 0.8em;
        }
        .icon-eye {
        top: 10px;
        right: 10px;
        background: rgba(36, 36, 36, 0.7);
        cursor: pointer;
        }
        .icon-download {
        bottom: 10px;
        left: 10px;
        background: rgba(36, 36, 36, 0.7);
        cursor: pointer;
        }
        .icon-download:hover,.bonus-tag:hover,.icon-eye:hover{
        
        background: linear-gradient(135deg, #FE0360, #2AA9DC);
        /* -webkit-background-clip: text; */
        /* color: transparent; */
        }
        



    

    .banner-box {
        width: 100%;
        height: 300px;
        /* background: linear-gradient(135deg, #FE0360, #2AA9DC); */
        background: #001440;
        color: #fff; 
        /* Fallback background color */
        border-radius: 10px;
        /* opacity: 0.7; */
        background-image: url("../../assets/images/p9.jpg"); /* Test with absolute path */
        background-size: cover; 
        background-position: center;
        background-repeat: no-repeat;
        box-shadow:0 8px 16px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);

    }
    
    /* .banner-box{
        width: 100%;
        height: 300px;
        background: #001440;
        border-radius: 10px;
        background-image: url("../assets/images/p1.jpg");
    } */
    /* .banner-box-img{
        width: 100%;
        height: 300px;
        border-radius: 10px;
    } */
    .banner-sub-box{
        width: 70%;
        height: 80px;
        background: none;
        /* background: #333; */
        /* background: #001220; */
        /* background: #fff; */
        /* margin-top: ; */
        margin: auto;
        /* z-index: 51; */
        margin-top: -40px;
        border-radius: 50px;
        box-shadow:0 8px 16px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    }

    .tools-type-btn{
        width: 100%;
        height: 80px;
        /* margin-top: 3px; */
        /* background: #001220; */
        background: #1f1f1f;
        color: #aaa;
        border: none;
        outline: none;
        font-size: 0.9em;
        font-family: "Poppins";
        font-weight: 500;
        /* padding-left: 5%; */
        /* padding-right: 5%; */
        /* border:  */
        /* border: 5px solid #040605; */
        border-right: 1px solid #555;
        /* border-right: 1px solid transparent; Set the border to transparent */
        /* border-image: linear-gradient(135deg, #FE0360, #2AA9DC) 1; Apply the gradient to the border */
        /* padding: 10px;  */
        /* Optional: Add padding to make the border more prominent */
    
        /* box-shadow: 2px 0px 0px rgba(0, 201, 255, 0.4),  */
        /* 2px 0px 0px rgba(255, 0, 103, 0.4);  */
        /* Gradient-based shadow */
        box-shadow:0 8px 16px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
        /* box-shadow: inset 2px 2px 3px rgba(255, 255, 255, .6), inset -2px -2px 3px rgba(0, 0, 0, .6), 10px 10px 20px rgba(0, 0, 0, 0.1), 0px 0px 0px rgba(255, 255, 255, 0.7); */
        transition: transform 0.2s ease, background 0.2s ease;

    }
    .btn-type-1{
        border-top-left-radius: 50px;
        border-bottom-left-radius: 50px;
    }
    .btn-type-2{
        border: none;
        /* padding-right:9%; */
        border-top-right-radius: 50px;
        border-bottom-right-radius: 50px;
    }
    .btn-type-icon{
        font-weight: bold;
        font-size: 1.7em;
        margin-bottom: 10px;
        color: #ccc;
        /* background: linear-gradient(135deg, #FE0360, #2AA9DC); */
        /* -webkit-background-clip: text; */
        /* color: transparent; */

    }
    .tools-type-btn:hover .btn-type-icon,.tools-type-btn:hover{
        color: #fff;
        transform: scale(1.1);
        border: none;
    }
    .w3-16{
        width: 16.6%;
    }




    .bottom-tools-menu{
        width: 50%;
        height: 90%;
        position: fixed;
        bottom: 0;
        left: 25%;
        background: #001220;
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
        overflow: auto;
        /* display: none; */
        box-shadow: 0px 4px 6px rgba(0, 201, 255, 0.4), 
                    0px 4px 6px rgba(255, 0, 103, 0.4); /* Gradient-based shadow */
        transition: transform 0.2s ease, box-shadow 0.2s ease;
    }
    .top-close-btn{
        width: auto;
        height: 40px;
        padding-left: 2%;
        padding-right: 2%;
        border: none;
        outline: none;
        background: none;
        color: #ddd;
        font-size: 1.4em;
        float: right;
        margin-right: 15px;
        margin-top: 15px;
        border-radius: 5px;
    }
    .top-close-btn:hover{
        /* transform: scale(1.1); */
        background: #2AA9DC;
        color: #fff;
        /* color: #FE0360; */
        /* transform: scale(1.05) */
    }
    .search-tools{
        width: 100%;
        height: auto;
        padding: 3%;
        text-align: center;
        margin: auto;
    }
    .search-tools input[type="text"]{
        width: 70%;
        height: 40px;
        border: none;
        /* border: 1px solid #012880; */
        outline: none;
        border-radius: 5px;
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
        padding-left: 3%;
        padding-right: 3%;
        color: #ddd;
        /* background: #555; */
    }
    /* .search-tools input[type="text"]:focus{ */
        /* background: #fff; */
        /* color: #001220; */
    /* } */
    .search-tools input[type="submit"]{
        width: 20%;
        height: 40px;
        border: none;
        outline: none;
        background: linear-gradient(135deg, #FE0360, #2AA9DC);
        color: #fff;
        border-radius: 5px;
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
        outline: none;
    }
    .tools-bottom-menu{
        width: 100%;
        height: auto;
        padding: 5%;
        padding-top: 0;
        padding-bottom: 10%;
    }
    
    
    
    
    .explore-section-title {
        font-size: 2.5rem;
        font-weight: bold;
        /* color: #FE0360; */
        margin-bottom: 10px;
        background: linear-gradient(135deg, #FE0360, #2AA9DC);
        -webkit-background-clip: text; /* Ensures the gradient is clipped to the text */
        color: transparent; /* Make the text color transparent so the gradient shows */
    
    }
    
    .explore-section-subtitle {
        font-size: 1.25rem;
        /* color: #001220; */
        color: #ddd;
        margin-bottom: 40px;
    }
    
    .tools-grid {
        display: grid;
        grid-template-columns: repeat(6, 1fr); /* 10 items per row */
        gap: 20px;
        justify-items: center;
    }
    
    .tool-item {
        /* background: #333; */
        text-align: center;
    }
    
    .tool-logo {
        max-width: 35px;
        max-height: 35px;
        margin-bottom: 10px;
        object-fit: contain;
    }
    
    .tool-name {
        font-size: 0.8em;
        font-weight: 500;
        /* color: #333333; */
        /* color: #001220; */
        color: #ddd;
    }
    







    .users-creation{
        width: 100%;
        height: auto;
        padding: 3%;
        color: #ddd;
        padding-top: 1%;
    }
    .users-creation h2{
        font-size: 2em;
        background: linear-gradient(135deg, #FE0360, #2AA9DC);
        -webkit-background-clip: text; /* Ensures the gradient is clipped to the text */
        color: transparent; /* Make the text color transparent so the gradient shows */
        /* font-weight: bold;  */
        /* Optional: Make the text bold for a more striking effect */
        /* margin-top: 5%; */
        font-family: "Poppins";
        /* text-align: center; */
    }
    .users-creation p{
        color: #ddd;
        font-size: 1em;
        font-family: "Poppins";
        margin-top: 10px;
        /* text-align: center; */
    }
    .solution-creation{
        width: 100%;
        height: auto;
        padding: 3%;
        color: #ddd;
    }
    .solution-creation h2{
        font-size: 2em;
        background: linear-gradient(135deg, #FE0360, #2AA9DC);
        -webkit-background-clip: text; /* Ensures the gradient is clipped to the text */
        color: transparent; /* Make the text color transparent so the gradient shows */
        /* font-weight: bold;  */
        /* Optional: Make the text bold for a more striking effect */
        margin-top: 5%;
        font-family: "Poppins";
        /* text-align: center; */
    }
    .solution-creation p{
        color: #ddd;
        font-size: 1em;
        font-family: "Poppins";
        margin-top: 10px;
        /* text-align: center; */
    }
    
    
    
    
    
    
    
    
    
    .app-tools-section {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        gap: 20px;
        margin-top: 3%;
      }
      
      .app-tools-card {
        width: 23%; /* Adjust width for 4 columns */
        background-color: #333;
        border-radius: 10px;
        overflow: hidden;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        text-align: center;
        box-shadow:0 8px 16px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    
        border: 1px solid #555;
        /* padding-bottom: 5%; */
    }
      
      .app-tools-img {
        width: 100%;
        height: auto;
        border-bottom: 1px solid #555;
    }
      
      .app-tools-info {
        padding: 15px;
        /* padding-bottom: 5%; */
        background-color: #222;
        padding-bottom: 20%;
    }
      
      .app-tools-title {
        color: #fff;
        font-size: 18px;
        margin-bottom: 10px;
      }
      
      .app-tools-description {
        color: #ccc;
        font-size: 14px;
        margin-bottom: 15px;
      }
      
      .app-tools-btn-action {
        background: linear-gradient(135deg, #FE0360, #2AA9DC);
        /* background-color: #00aaff; */
        color: #fff;
        padding: 10px 20px;
        text-decoration: none;
        border-radius: 5px;
        /* margin-top: 30px; */
        transition: background-color 0.3s;
      }
      
      .app-tools-btn-action:hover {
        transform: scale(1.1);
        /* background-color: #0077cc; */
      }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
      .app-tools-section2 {
        display: flex;
        flex-wrap: wrap;
        gap: 20px;
        margin-top: 3%;
    }
    
    .app-tools-card2 {
        width: 15%; /* Adjust width to fit 10 items per row */
        background-color: #333;
        border-radius: 10px;
        overflow: hidden;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        text-align: center;
        border: 1px solid #555;
        /* padding-top: 2%; */
        /* padding-bottom: 2%; */
        /* padding-bottom: 20px;  */
        /* Added padding to avoid button overflow */
        box-shadow:0 8px 16px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    
    }
    
    .app-tools-img2 {
        width: 100%;
        height: auto;
        /* margin-bottom: 2%; */
        border-bottom: 1px solid #555;
    }
    
    .app-tools-info2 {
        padding: 15px;
        /* margin-top: 5%; */
        background-color: #222;
    }
    
    .app-tools-title2 {
        color: #fff;
        font-size: 16px;
        margin-bottom: 10px;
        white-space: nowrap;  /* Prevents wrapping */
        overflow: hidden;     /* Hides the overflow */
        text-overflow: ellipsis; /* Adds ellipsis when text overflows */
        max-width: 100%; /* Ensures ellipsis works within the container width */
    }
    
    .app-tools-btn-action2 {
        background: linear-gradient(135deg, #FE0360, #2AA9DC);
        color: #fff;
        padding: 10px 20px;
        text-decoration: none;
        border-radius: 5px;
        transition: background-color 0.3s;
    }
    
    .app-tools-btn-action2:hover {
        transform: scale(1.1);
    }
    




.footer-section{
    background: #222;
    margin-top: 100px;
}


    .w3-b-a,.w3-b-a:hover{
        text-decoration: none;
        cursor: pointer;
    }









    .hidden_url{
        display: none;
    }

    .code_box_view2{
        width: 95%;
        height: auto;
        padding: 5%;
        padding-bottom: 5%;
        /* background: #fff; */
        background: #222;
        box-shadow: 0 6px 15px rgba(0, 0, 0, 0.4);
        color: #000;
        margin: auto;
        /* border-radius: 5px; */
        border: 1px solid #333;
        }

    .view_code_btn,.view_code_btn2{
        width: auto;
        height: 45px;
        border: none;
        background: #333;
        color: #fff;
        font-family: 'Poppins', 'Comfortaa','Muli';
        font-size: 1.3em;
        /* margin-top: 5%; */
        outline: none;
        cursor: pointer;
        padding: 0;
        padding-left: 10%;
        padding-right: 10%;
        font-weight: bold;
        border-radius: 30px;        
    }
            .view_code_btn2:hover{
                background: linear-gradient(135deg, #FE0360, #2AA9DC);
                transform: scale(1.1);  
            }                    


    .exa_top{margin-top: 20px;}

    /* .code_box_view2{border: 1px solid #f1f1f1;padding:6%;} */


    .title_logo2{
        width: 100%; 
        max-width: 100%;
        height: 170px;
        margin-bottom: 6%; 
        border: none; 
        border-bottom: 1px solid #333;
    /* transform: scale(1.1); */
    }    






.sub-header{
    /* width: 100%; */
    background: #222;
    position: fixed;
    top: 0;
    padding: 1%;
}
.btn-outline-light{
/* float: left !important; */
/* margin-left: 10px; */
border: 2px solid #333;
box-shadow: 0px 0px 10px #333;
text-transform: capitalize;
/* font-weight: 500; */
font-family: "Poppins";
/* float: right; */
/* margin-right: 10px; */
}
.btn-outline-light2{
/* float: left !important; */
/* margin-left: 10px; */
border: 2px solid #333;
box-shadow: 0px 0px 10px #333;
text-transform: capitalize;
/* font-weight: 500; */
font-family: "Poppins";
/* float: right !important; */
/* margin-right: 10px !important; */
}